$packageArgs = @{
  packageName   = 'DeepArmor'
  fileType      = 'exe'
  url           = 'https://storage.googleapis.com/deeparmor-client-prod/prod/1.46.6/1.46.6_DeepArmor.exe'
  url64bit      = 'https://storage.googleapis.com/deeparmor-client-prod/prod/1.46.6/1.46.6_DeepArmor.exe'
  checksum      = '4540cb3809fda938307fde972e60a8bd905a9db73a87455fe5b28df00ede5a9d'
  checksum64    = '4540cb3809fda938307fde972e60a8bd905a9db73a87455fe5b28df00ede5a9d'
  checksumType  = 'sha256'
  silentArgs    = "/qn WEBSERVICEURL=https://da-trial-2.deeparmor.io/ REGISTRATIONKEY=68e6cf830a058c2cb4e377a0ebb7d09518066515"
  validExitCodes= @(0, 3010, 1641)
}

$osversion = [System.Environment]::OSVersion.Version;

if ($osversion.Major -eq 6 -and $osversion.Minor -eq 0) {
   throw "Windows Server 2008 is not supported, please upgrade to 2008 R2 or higher";
}

if ($osversion.Major -lt 6) {
   throw "Windows Server 2003 is not supported";
}

Install-ChocolateyPackage @packageArgs